# Class ReadsFormats

java.lang.Object
htsjdk.beta.plugin.reads.ReadsFormats

public class ReadsFormats extends Object
Class with string constants for known formats supported by reads codecs.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BAM`
BAM file format.
`static final String`
`CRAM`
CRAM file format.
`static final String`
`HTSGET_BAM`
GA4GH htsget BAM format.
`static final String`
`SAM`
SAM file format.

## Constructor Summary

Constructors
Constructor
Description
`ReadsFormats()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SAM

public static final String SAM
SAM file format.

See Also:
  - Constant Field Values

### BAM

public static final String BAM
BAM file format.

See Also:
  - Constant Field Values

### CRAM

public static final String CRAM
CRAM file format.

See Also:
  - Constant Field Values

### HTSGET_BAM

public static final String HTSGET_BAM
GA4GH htsget BAM format.

See Also:
  - Constant Field Values

## Constructor Details

### ReadsFormats

public ReadsFormats()